<?php
/**
* Social profiles options
*
* @package PrimeWP WordPress Theme
* @copyright Copyright (C) 2021 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

function primewp_social_profiles($wp_customize) {

    $wp_customize->add_section( 'primewp_section_social', array( 'title' => esc_html__( 'Social Links Options', 'primewp' ), 'panel' => 'primewp_main_options_panel', 'priority' => 400, ));

    $wp_customize->add_setting( 'primewp_options[twitterlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'primewp_twitterlink_control', array( 'label' => esc_html__( 'Twitter URL', 'primewp' ), 'section' => 'primewp_section_social', 'settings' => 'primewp_options[twitterlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'primewp_options[facebooklink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'primewp_facebooklink_control', array( 'label' => esc_html__( 'Facebook URL', 'primewp' ), 'section' => 'primewp_section_social', 'settings' => 'primewp_options[facebooklink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'primewp_options[googlelink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) ); 

    $wp_customize->add_control( 'primewp_googlelink_control', array( 'label' => esc_html__( 'Google Plus URL', 'primewp' ), 'section' => 'primewp_section_social', 'settings' => 'primewp_options[googlelink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'primewp_options[pinterestlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'primewp_pinterestlink_control', array( 'label' => esc_html__( 'Pinterest URL', 'primewp' ), 'section' => 'primewp_section_social', 'settings' => 'primewp_options[pinterestlink]', 'type' => 'text' ) );
    
    $wp_customize->add_setting( 'primewp_options[linkedinlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'primewp_linkedinlink_control', array( 'label' => esc_html__( 'Linkedin Link', 'primewp' ), 'section' => 'primewp_section_social', 'settings' => 'primewp_options[linkedinlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'primewp_options[instagramlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'primewp_instagramlink_control', array( 'label' => esc_html__( 'Instagram Link', 'primewp' ), 'section' => 'primewp_section_social', 'settings' => 'primewp_options[instagramlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'primewp_options[vklink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'primewp_vklink_control', array( 'label' => esc_html__( 'VK Link', 'primewp' ), 'section' => 'primewp_section_social', 'settings' => 'primewp_options[vklink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'primewp_options[flickrlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'primewp_flickrlink_control', array( 'label' => esc_html__( 'Flickr Link', 'primewp' ), 'section' => 'primewp_section_social', 'settings' => 'primewp_options[flickrlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'primewp_options[youtubelink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'primewp_youtubelink_control', array( 'label' => esc_html__( 'Youtube URL', 'primewp' ), 'section' => 'primewp_section_social', 'settings' => 'primewp_options[youtubelink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'primewp_options[vimeolink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'primewp_vimeolink_control', array( 'label' => esc_html__( 'Vimeo URL', 'primewp' ), 'section' => 'primewp_section_social', 'settings' => 'primewp_options[vimeolink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'primewp_options[soundcloudlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'primewp_soundcloudlink_control', array( 'label' => esc_html__( 'Soundcloud URL', 'primewp' ), 'section' => 'primewp_section_social', 'settings' => 'primewp_options[soundcloudlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'primewp_options[messengerlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'primewp_messengerlink_control', array( 'label' => esc_html__( 'Messenger URL', 'primewp' ), 'section' => 'primewp_section_social', 'settings' => 'primewp_options[messengerlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'primewp_options[whatsapplink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'primewp_whatsapplink_control', array( 'label' => esc_html__( 'WhatsApp URL', 'primewp' ), 'section' => 'primewp_section_social', 'settings' => 'primewp_options[whatsapplink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'primewp_options[lastfmlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'primewp_lastfmlink_control', array( 'label' => esc_html__( 'Lastfm URL', 'primewp' ), 'section' => 'primewp_section_social', 'settings' => 'primewp_options[lastfmlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'primewp_options[mediumlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'primewp_mediumlink_control', array( 'label' => esc_html__( 'Medium URL', 'primewp' ), 'section' => 'primewp_section_social', 'settings' => 'primewp_options[mediumlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'primewp_options[githublink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'primewp_githublink_control', array( 'label' => esc_html__( 'Github URL', 'primewp' ), 'section' => 'primewp_section_social', 'settings' => 'primewp_options[githublink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'primewp_options[bitbucketlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'primewp_bitbucketlink_control', array( 'label' => esc_html__( 'Bitbucket URL', 'primewp' ), 'section' => 'primewp_section_social', 'settings' => 'primewp_options[bitbucketlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'primewp_options[tumblrlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'primewp_tumblrlink_control', array( 'label' => esc_html__( 'Tumblr URL', 'primewp' ), 'section' => 'primewp_section_social', 'settings' => 'primewp_options[tumblrlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'primewp_options[digglink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'primewp_digglink_control', array( 'label' => esc_html__( 'Digg URL', 'primewp' ), 'section' => 'primewp_section_social', 'settings' => 'primewp_options[digglink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'primewp_options[deliciouslink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'primewp_deliciouslink_control', array( 'label' => esc_html__( 'Delicious URL', 'primewp' ), 'section' => 'primewp_section_social', 'settings' => 'primewp_options[deliciouslink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'primewp_options[stumblelink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'primewp_stumblelink_control', array( 'label' => esc_html__( 'Stumbleupon URL', 'primewp' ), 'section' => 'primewp_section_social', 'settings' => 'primewp_options[stumblelink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'primewp_options[mixlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'primewp_mixlink_control', array( 'label' => esc_html__( 'Mix URL', 'primewp' ), 'section' => 'primewp_section_social', 'settings' => 'primewp_options[mixlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'primewp_options[redditlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'primewp_redditlink_control', array( 'label' => esc_html__( 'Reddit URL', 'primewp' ), 'section' => 'primewp_section_social', 'settings' => 'primewp_options[redditlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'primewp_options[dribbblelink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'primewp_dribbblelink_control', array( 'label' => esc_html__( 'Dribbble URL', 'primewp' ), 'section' => 'primewp_section_social', 'settings' => 'primewp_options[dribbblelink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'primewp_options[flipboardlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'primewp_flipboardlink_control', array( 'label' => esc_html__( 'Flipboard URL', 'primewp' ), 'section' => 'primewp_section_social', 'settings' => 'primewp_options[flipboardlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'primewp_options[bloggerlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'primewp_bloggerlink_control', array( 'label' => esc_html__( 'Blogger URL', 'primewp' ), 'section' => 'primewp_section_social', 'settings' => 'primewp_options[bloggerlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'primewp_options[etsylink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'primewp_etsylink_control', array( 'label' => esc_html__( 'Etsy URL', 'primewp' ), 'section' => 'primewp_section_social', 'settings' => 'primewp_options[etsylink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'primewp_options[behancelink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'primewp_behancelink_control', array( 'label' => esc_html__( 'Behance URL', 'primewp' ), 'section' => 'primewp_section_social', 'settings' => 'primewp_options[behancelink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'primewp_options[amazonlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'primewp_amazonlink_control', array( 'label' => esc_html__( 'Amazon URL', 'primewp' ), 'section' => 'primewp_section_social', 'settings' => 'primewp_options[amazonlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'primewp_options[meetuplink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'primewp_meetuplink_control', array( 'label' => esc_html__( 'Meetup URL', 'primewp' ), 'section' => 'primewp_section_social', 'settings' => 'primewp_options[meetuplink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'primewp_options[mixcloudlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'primewp_mixcloudlink_control', array( 'label' => esc_html__( 'Mixcloud URL', 'primewp' ), 'section' => 'primewp_section_social', 'settings' => 'primewp_options[mixcloudlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'primewp_options[slacklink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'primewp_slacklink_control', array( 'label' => esc_html__( 'Slack URL', 'primewp' ), 'section' => 'primewp_section_social', 'settings' => 'primewp_options[slacklink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'primewp_options[snapchatlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'primewp_snapchatlink_control', array( 'label' => esc_html__( 'Snapchat URL', 'primewp' ), 'section' => 'primewp_section_social', 'settings' => 'primewp_options[snapchatlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'primewp_options[spotifylink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'primewp_spotifylink_control', array( 'label' => esc_html__( 'Spotify URL', 'primewp' ), 'section' => 'primewp_section_social', 'settings' => 'primewp_options[spotifylink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'primewp_options[yelplink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'primewp_yelplink_control', array( 'label' => esc_html__( 'Yelp URL', 'primewp' ), 'section' => 'primewp_section_social', 'settings' => 'primewp_options[yelplink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'primewp_options[wordpresslink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'primewp_wordpresslink_control', array( 'label' => esc_html__( 'WordPress URL', 'primewp' ), 'section' => 'primewp_section_social', 'settings' => 'primewp_options[wordpresslink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'primewp_options[twitchlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'primewp_twitchlink_control', array( 'label' => esc_html__( 'Twitch URL', 'primewp' ), 'section' => 'primewp_section_social', 'settings' => 'primewp_options[twitchlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'primewp_options[telegramlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'primewp_telegramlink_control', array( 'label' => esc_html__( 'Telegram URL', 'primewp' ), 'section' => 'primewp_section_social', 'settings' => 'primewp_options[telegramlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'primewp_options[bandcamplink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'primewp_bandcamplink_control', array( 'label' => esc_html__( 'Bandcamp URL', 'primewp' ), 'section' => 'primewp_section_social', 'settings' => 'primewp_options[bandcamplink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'primewp_options[quoralink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'primewp_quoralink_control', array( 'label' => esc_html__( 'Quora URL', 'primewp' ), 'section' => 'primewp_section_social', 'settings' => 'primewp_options[quoralink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'primewp_options[foursquarelink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'primewp_foursquarelink_control', array( 'label' => esc_html__( 'Foursquare URL', 'primewp' ), 'section' => 'primewp_section_social', 'settings' => 'primewp_options[foursquarelink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'primewp_options[deviantartlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'primewp_deviantartlink_control', array( 'label' => esc_html__( 'DeviantArt URL', 'primewp' ), 'section' => 'primewp_section_social', 'settings' => 'primewp_options[deviantartlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'primewp_options[imdblink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'primewp_imdblink_control', array( 'label' => esc_html__( 'IMDB URL', 'primewp' ), 'section' => 'primewp_section_social', 'settings' => 'primewp_options[imdblink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'primewp_options[codepenlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'primewp_codepenlink_control', array( 'label' => esc_html__( 'Codepen URL', 'primewp' ), 'section' => 'primewp_section_social', 'settings' => 'primewp_options[codepenlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'primewp_options[jsfiddlelink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'primewp_jsfiddlelink_control', array( 'label' => esc_html__( 'JSFiddle URL', 'primewp' ), 'section' => 'primewp_section_social', 'settings' => 'primewp_options[jsfiddlelink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'primewp_options[stackoverflowlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'primewp_stackoverflowlink_control', array( 'label' => esc_html__( 'Stack Overflow URL', 'primewp' ), 'section' => 'primewp_section_social', 'settings' => 'primewp_options[stackoverflowlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'primewp_options[stackexchangelink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'primewp_stackexchangelink_control', array( 'label' => esc_html__( 'Stack Exchange URL', 'primewp' ), 'section' => 'primewp_section_social', 'settings' => 'primewp_options[stackexchangelink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'primewp_options[bsalink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'primewp_bsalink_control', array( 'label' => esc_html__( 'BuySellAds URL', 'primewp' ), 'section' => 'primewp_section_social', 'settings' => 'primewp_options[bsalink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'primewp_options[web500pxlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'primewp_web500pxlink_control', array( 'label' => esc_html__( '500px URL', 'primewp' ), 'section' => 'primewp_section_social', 'settings' => 'primewp_options[web500pxlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'primewp_options[ellolink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'primewp_ellolink_control', array( 'label' => esc_html__( 'Ello URL', 'primewp' ), 'section' => 'primewp_section_social', 'settings' => 'primewp_options[ellolink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'primewp_options[goodreadslink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'primewp_goodreadslink_control', array( 'label' => esc_html__( 'Goodreads URL', 'primewp' ), 'section' => 'primewp_section_social', 'settings' => 'primewp_options[goodreadslink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'primewp_options[odnoklassnikilink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'primewp_odnoklassnikilink_control', array( 'label' => esc_html__( 'Odnoklassniki URL', 'primewp' ), 'section' => 'primewp_section_social', 'settings' => 'primewp_options[odnoklassnikilink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'primewp_options[houzzlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'primewp_houzzlink_control', array( 'label' => esc_html__( 'Houzz URL', 'primewp' ), 'section' => 'primewp_section_social', 'settings' => 'primewp_options[houzzlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'primewp_options[pocketlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'primewp_pocketlink_control', array( 'label' => esc_html__( 'Pocket URL', 'primewp' ), 'section' => 'primewp_section_social', 'settings' => 'primewp_options[pocketlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'primewp_options[xinglink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'primewp_xinglink_control', array( 'label' => esc_html__( 'XING URL', 'primewp' ), 'section' => 'primewp_section_social', 'settings' => 'primewp_options[xinglink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'primewp_options[googleplaylink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'primewp_googleplaylink_control', array( 'label' => esc_html__( 'Google Play URL', 'primewp' ), 'section' => 'primewp_section_social', 'settings' => 'primewp_options[googleplaylink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'primewp_options[slidesharelink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'primewp_slidesharelink_control', array( 'label' => esc_html__( 'SlideShare URL', 'primewp' ), 'section' => 'primewp_section_social', 'settings' => 'primewp_options[slidesharelink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'primewp_options[dropboxlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'primewp_dropboxlink_control', array( 'label' => esc_html__( 'Dropbox URL', 'primewp' ), 'section' => 'primewp_section_social', 'settings' => 'primewp_options[dropboxlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'primewp_options[paypallink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'primewp_paypallink_control', array( 'label' => esc_html__( 'PayPal URL', 'primewp' ), 'section' => 'primewp_section_social', 'settings' => 'primewp_options[paypallink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'primewp_options[viadeolink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'primewp_viadeolink_control', array( 'label' => esc_html__( 'Viadeo URL', 'primewp' ), 'section' => 'primewp_section_social', 'settings' => 'primewp_options[viadeolink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'primewp_options[wikipedialink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'primewp_wikipedialink_control', array( 'label' => esc_html__( 'Wikipedia URL', 'primewp' ), 'section' => 'primewp_section_social', 'settings' => 'primewp_options[wikipedialink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'primewp_options[skypeusername]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'sanitize_text_field' ) );

    $wp_customize->add_control( 'primewp_skypeusername_control', array( 'label' => esc_html__( 'Skype Username', 'primewp' ), 'section' => 'primewp_section_social', 'settings' => 'primewp_options[skypeusername]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'primewp_options[emailaddress]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'primewp_sanitize_email' ) );

    $wp_customize->add_control( 'primewp_emailaddress_control', array( 'label' => esc_html__( 'Email Address', 'primewp' ), 'section' => 'primewp_section_social', 'settings' => 'primewp_options[emailaddress]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'primewp_options[rsslink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'primewp_rsslink_control', array( 'label' => esc_html__( 'RSS Feed URL', 'primewp' ), 'section' => 'primewp_section_social', 'settings' => 'primewp_options[rsslink]', 'type' => 'text' ) );

}